﻿namespace Phoenix.Plugins.Host.Exceptions
{
    using System;
    using System.Runtime.Serialization;

    [Serializable]
    public class NoPluginInAssemblyException : Exception
    {
        #region Constructors

        public NoPluginInAssemblyException()
            : base("There is no plugin in this assembly.")
        {
        }

        public NoPluginInAssemblyException(string message)
            : base(message)
        {
        }

        public NoPluginInAssemblyException(string message, Exception inner)
            : base(message, inner)
        {
        }

        protected NoPluginInAssemblyException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }

        #endregion Constructors
    }
}