﻿namespace Phoenix.Plugins
{
    using System.Windows.Forms;

    using Phoenix.Plugins.Forms;
    using Phoenix.Plugins.Host;

    [Plugable]
    public class SayHelloPlugin : GuiPlugin
    {
        #region Fields

        private SayHello control = new SayHello();

        #endregion Fields

        #region Properties

        public override string MenuName
        {
            get { return "Tell me hello..."; }
        }

        #endregion Properties

        #region Methods

        public override void Execute()
        {
            this.control.Visible = true;
            this.control.BringToFront();
            this.control.ShowTime();
        }

        public override void InsertInto(ContainerControl container)
        {
            this.Insert(control, container);
        }

        #endregion Methods
    }
}