﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using Phoenix.Revision.Helpers;
using System.Text.RegularExpressions;

namespace RevisionUpdater
{
    class Program
    {
        static void Main(string[] args)
        {
            if (args.Length != 1)
            {
                Console.WriteLine("Please enter the path of the file to modify");
                return;
            }

            try
            {
                Console.Write("Modifying version file...");
                string text = string.Empty;
                using (TextReader reader = new StreamReader(args[0]))
                {
                    Regex regex = new Regex(".\\d{1,4}\\\"\\)\\]");
                    text = reader.ReadToEnd();
                    text = regex.Replace(text, string.Format(
                        ".{0}\")]", Revision.CalculateRevision(DateTime.Now).ToString()));
                }

                using (TextWriter writer = new StreamWriter(args[0]))
                {
                    writer.Write(text);
                    writer.Flush();
                }
                Console.WriteLine(" OK");
            }
            catch (Exception ex)
            {
                Console.WriteLine("Error!");
                Console.WriteLine(ex);
            }
        }
    }
}
