﻿namespace Phoenix.Plugins.Core
{
    /// <summary>
    /// Plugin added to the whole application
    /// </summary>
    public interface IApplicationPlugin
    {
        #region Methods

        /// <summary>
        /// Starts this plugin.
        /// </summary>
        /// <param name="host">The plugin host.</param>
        void Start(IPluginHost host);

        #endregion Methods
    }
}