﻿namespace Phoenix.Presenter.Interfaces
{
    using System;
    using System.Collections.Generic;

    using Phoenix.Model.Bll.Domain;

    public interface IMeetingSidePresenter
    {
        #region Events

        /// <summary>
        /// Occurs when user interface is refreshed.
        /// </summary>
        event EventHandler Refreshed;

        #endregion Events

        #region Properties

        /// <summary>
        /// Gets or sets the meetings of today.
        /// </summary>
        /// <value>The meetings of today.</value>
        IList<WorkMeeting> TodayMeetings
        {
            get;
            set;
        }

        #endregion Properties
    }
}