﻿namespace Phoenix.Plugins.Host.Exceptions
{
    using System;
    using System.Runtime.Serialization;

    [Serializable]
    public class PluginException : Exception
    {
        #region Constructors

        public PluginException()
            : base("An exception occured in the plugin")
        {
        }

        public PluginException(string message)
            : base(message)
        {
        }

        public PluginException(string message, Exception inner)
            : base(message, inner)
        {
        }

        protected PluginException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }

        #endregion Constructors
    }
}